"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asArray = void 0;
const lodash_1 = require("lodash");
const zod_1 = require("zod");
const asArray = (schema) => {
    return zod_1.z.preprocess((value) => {
        if ((0, lodash_1.isArray)(value))
            return value;
        return [value];
    }, schema);
};
exports.asArray = asArray;
